<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFTableColumn (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFTableColumn (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTableColumn.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyle.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTableColumn.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFTableColumn.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFTableColumn" class="title">Class XSSFTableColumn</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFTableColumn</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFTableColumn</span>
extends java.lang.Object</pre>
                <div class="block">A table column of an <a
                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                        title="class in org.apache.poi.xssf.usermodel"><code>XSSFTable</code></a>. Use <a
                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html#createColumn-java.lang.String-"><code>XSSFTable.createColumn(java.lang.String)</code></a>
                    to
                    create new table columns.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>4.0.0</dd>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Leonard Kappe</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#XSSFTableColumn-org.apache.poi.xssf.usermodel.XSSFTable-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn-">XSSFTableColumn</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTable</a>&nbsp;table,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn&nbsp;ctTableColumn)</code>
                                    <div class="block">Create a new table column.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#getColumnIndex--">getColumnIndex</a></span>()</code>
                                    <div class="block">Get the column's position in its table, staring with zero from
                                        left to
                                        right.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#getId--">getId</a></span>()</code>
                                    <div class="block">Get the identifier of this column, which is is unique per
                                        table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#getName--">getName</a></span>()</code>
                                    <div class="block">Get the name of the column, which is is unique per table.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#getTable--">getTable</a></span>()</code>
                                    <div class="block">Get the table which contains this column</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFXmlColumnPr.html"
                                        title="class in org.apache.poi.xssf.usermodel.helpers">XSSFXmlColumnPr</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#getXmlColumnPr--">getXmlColumnPr</a></span>()</code>
                                    <div class="block">Get the XmlColumnPr (XML column properties) if this column has an
                                        XML
                                        mapping.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#setId-long-">setId</a></span>(long&nbsp;columnId)</code>
                                    <div class="block">Set the identifier of this column, which must be unique per
                                        table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;columnName)</code>
                                    <div class="block">Get the name of the column, which is is unique per table.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFTableColumn-org.apache.poi.xssf.usermodel.XSSFTable-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFTableColumn</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;XSSFTableColumn(<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                  title="class in org.apache.poi.xssf.usermodel">XSSFTable</a>&nbsp;table,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn&nbsp;ctTableColumn)</pre>
                                <div class="block">Create a new table column.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> - the table which contains the column</dd>
                                    <dd><code>ctTableColumn</code> - the table column xmlbean to wrap</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFTable</a>&nbsp;getTable()</pre>
                                <div class="block">Get the table which contains this column</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the table containing this column</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getId</h4>
                                <pre>public&nbsp;long&nbsp;getId()</pre>
                                <div class="block">Get the identifier of this column, which is is unique per table.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column id</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setId-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setId</h4>
                                <pre>public&nbsp;void&nbsp;setId(long&nbsp;columnId)</pre>
                                <div class="block">Set the identifier of this column, which must be unique per table.

                                    It is up to the caller to enforce the uniqueness of the id.
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Get the name of the column, which is is unique per table.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column name</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setName</h4>
                                <pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;columnName)</pre>
                                <div class="block">Get the name of the column, which is is unique per table.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXmlColumnPr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlColumnPr</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFXmlColumnPr.html"
                                        title="class in org.apache.poi.xssf.usermodel.helpers">XSSFXmlColumnPr</a>&nbsp;getXmlColumnPr()</pre>
                                <div class="block">Get the XmlColumnPr (XML column properties) if this column has an XML
                                    mapping.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the XmlColumnPr or <code>null</code> if this column has no XML
                                        mapping
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getColumnIndex</h4>
                                <pre>public&nbsp;int&nbsp;getColumnIndex()</pre>
                                <div class="block">Get the column's position in its table, staring with zero from left
                                    to
                                    right.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTableColumn.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyle.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTableColumn.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFTableColumn.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
